[libslab] Add autogen.sh



commit 1996d23289931e5e49430e9804e3ddd428793c19
Author: Federico Mena Quintero <federico novell com>
Date:   Mon May 11 12:00:43 2009 -0500

    Add autogen.sh
    
    Signed-off-by: Federico Mena Quintero <federico novell com>
---
 autogen.sh |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..2bb1d31
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="libslab"
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/autogen.sh) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+DIE=0
+
+if ! which gnome-autogen.sh ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+REQUIRED_AUTOMAKE_VERSION=1.9 . gnome-autogen.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]